<!DOCTYPE html>
<html lang="en-US">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <title>Events | FRISE</title>
    <meta name="generator" content="VuePress 1.8.2">
    
    <meta name="description" content="">
    <meta name="theme-color" content="#5d77ff">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    
    <link rel="preload" href="/frise-package/documentation/assets/css/0.styles.0e46e5f3.css" as="style"><link rel="preload" href="/frise-package/documentation/assets/js/app.50779134.js" as="script"><link rel="preload" href="/frise-package/documentation/assets/js/2.5d5c376a.js" as="script"><link rel="preload" href="/frise-package/documentation/assets/js/9.32b17323.js" as="script"><link rel="prefetch" href="/frise-package/documentation/assets/js/10.7332a41b.js"><link rel="prefetch" href="/frise-package/documentation/assets/js/11.030feeb6.js"><link rel="prefetch" href="/frise-package/documentation/assets/js/12.3dd77d1b.js"><link rel="prefetch" href="/frise-package/documentation/assets/js/3.15484a09.js"><link rel="prefetch" href="/frise-package/documentation/assets/js/4.cf2a7ee3.js"><link rel="prefetch" href="/frise-package/documentation/assets/js/5.b88862d9.js"><link rel="prefetch" href="/frise-package/documentation/assets/js/6.730dfb02.js"><link rel="prefetch" href="/frise-package/documentation/assets/js/7.2e6cb6ae.js"><link rel="prefetch" href="/frise-package/documentation/assets/js/8.d8f5fe41.js">
    <link rel="stylesheet" href="/frise-package/documentation/assets/css/0.styles.0e46e5f3.css">
  </head>
  <body>
    <div id="app" data-server-rendered="true"><div class="theme-container"><header class="navbar"><div class="sidebar-button"><svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" role="img" viewBox="0 0 448 512" class="icon"><path fill="currentColor" d="M436 124H12c-6.627 0-12-5.373-12-12V80c0-6.627 5.373-12 12-12h424c6.627 0 12 5.373 12 12v32c0 6.627-5.373 12-12 12zm0 160H12c-6.627 0-12-5.373-12-12v-32c0-6.627 5.373-12 12-12h424c6.627 0 12 5.373 12 12v32c0 6.627-5.373 12-12 12zm0 160H12c-6.627 0-12-5.373-12-12v-32c0-6.627 5.373-12 12-12h424c6.627 0 12 5.373 12 12v32c0 6.627-5.373 12-12 12z"></path></svg></div> <a href="/frise-package/documentation/" class="home-link router-link-active"><!----> <span class="site-name">FRISE</span></a> <div class="links"><div class="search-box"><input aria-label="Search" autocomplete="off" spellcheck="false" value=""> <!----></div> <nav class="nav-links can-hide"><div class="nav-item"><a href="/frise-package/documentation/documentation/" class="nav-link router-link-active">
  Documentation
</a></div><div class="nav-item"><a href="/frise-package/documentation/example/" class="nav-link">
  Example
</a></div><div class="nav-item"><a href="https://gitlab.com/fabnum-minarm/frise-package/frise" target="_blank" rel="noopener noreferrer" class="nav-link external">
  GitLab
  <span><svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" focusable="false" x="0px" y="0px" viewBox="0 0 100 100" width="15" height="15" class="icon outbound"><path fill="currentColor" d="M18.8,85.1h56l0,0c2.2,0,4-1.8,4-4v-32h-8v28h-48v-48h28v-8h-32l0,0c-2.2,0-4,1.8-4,4v56C14.8,83.3,16.6,85.1,18.8,85.1z"></path> <polygon fill="currentColor" points="45.7,48.7 51.3,54.3 77.2,28.5 77.2,37.2 85.2,37.2 85.2,14.9 62.8,14.9 62.8,22.9 71.5,22.9"></polygon></svg> <span class="sr-only">(opens new window)</span></span></a></div> <!----></nav></div></header> <div class="sidebar-mask"></div> <aside class="sidebar"><nav class="nav-links"><div class="nav-item"><a href="/frise-package/documentation/documentation/" class="nav-link router-link-active">
  Documentation
</a></div><div class="nav-item"><a href="/frise-package/documentation/example/" class="nav-link">
  Example
</a></div><div class="nav-item"><a href="https://gitlab.com/fabnum-minarm/frise-package/frise" target="_blank" rel="noopener noreferrer" class="nav-link external">
  GitLab
  <span><svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" focusable="false" x="0px" y="0px" viewBox="0 0 100 100" width="15" height="15" class="icon outbound"><path fill="currentColor" d="M18.8,85.1h56l0,0c2.2,0,4-1.8,4-4v-32h-8v28h-48v-48h28v-8h-32l0,0c-2.2,0-4,1.8-4,4v56C14.8,83.3,16.6,85.1,18.8,85.1z"></path> <polygon fill="currentColor" points="45.7,48.7 51.3,54.3 77.2,28.5 77.2,37.2 85.2,37.2 85.2,14.9 62.8,14.9 62.8,22.9 71.5,22.9"></polygon></svg> <span class="sr-only">(opens new window)</span></span></a></div> <!----></nav>  <ul class="sidebar-links"><li><section class="sidebar-group depth-0"><p class="sidebar-heading open"><span>Documentation</span> <!----></p> <ul class="sidebar-links sidebar-group-items"><li><a href="/frise-package/documentation/documentation/" aria-current="page" class="sidebar-link">Introduction</a></li><li><a href="/frise-package/documentation/documentation/getstarted.html" class="sidebar-link">Get started</a></li><li><a href="/frise-package/documentation/documentation/props.html" class="sidebar-link">Props</a></li><li><a href="/frise-package/documentation/documentation/slots.html" class="sidebar-link">Slots</a></li><li><a href="/frise-package/documentation/documentation/events.html" aria-current="page" class="active sidebar-link">Events</a><ul class="sidebar-sub-headers"><li class="sidebar-sub-header"><a href="/frise-package/documentation/documentation/events.html#drop-item" class="sidebar-link">@drop-item</a></li><li class="sidebar-sub-header"><a href="/frise-package/documentation/documentation/events.html#update-date-interval" class="sidebar-link">@update-date-interval</a></li></ul></li></ul></section></li></ul> </aside> <main class="page"> <div class="theme-default-content content__default"><h1 id="events"><a href="#events" class="header-anchor">#</a> Events</h1> <p><strong>FRISE will emit different events, that you can listen from your higher component.</strong></p> <h2 id="drop-item"><a href="#drop-item" class="header-anchor">#</a> @drop-item</h2> <p>A <code>drop-item</code> event is emitted when an item has been dragged and dropped, from one row to another.</p> <p><strong>Warning</strong> : Only vertical D&amp;D is available : you can move a block from one row to another - without changing it's time data/position.</p> <p>This event emits an Object containing the moved <code>blockId</code>, the <code>initialRowId</code>, and the <code>newRowId</code>.</p> <p><strong>Example</strong> :</p> <div class="language-html extra-class"><pre class="language-html"><code><span class="token tag"><span class="token tag"><span class="token punctuation">&lt;</span>template</span><span class="token punctuation">&gt;</span></span>
  <span class="token tag"><span class="token tag"><span class="token punctuation">&lt;</span>Frise</span> <span class="token attr-name">:data</span><span class="token attr-value"><span class="token punctuation attr-equals">=</span><span class="token punctuation">&quot;</span>data<span class="token punctuation">&quot;</span></span> <span class="token attr-name">@drop-item</span><span class="token attr-value"><span class="token punctuation attr-equals">=</span><span class="token punctuation">&quot;</span>updateRows<span class="token punctuation">&quot;</span></span> <span class="token punctuation">/&gt;</span></span>
<span class="token tag"><span class="token tag"><span class="token punctuation">&lt;/</span>template</span><span class="token punctuation">&gt;</span></span>

<span class="token tag"><span class="token tag"><span class="token punctuation">&lt;</span>script</span><span class="token punctuation">&gt;</span></span><span class="token script"><span class="token language-javascript">
<span class="token keyword">import</span> Frise <span class="token keyword">from</span> <span class="token string">'@fabnundef/frise'</span><span class="token punctuation">;</span>

<span class="token keyword">export</span> <span class="token keyword">default</span> <span class="token punctuation">{</span>
  components<span class="token operator">:</span> <span class="token punctuation">{</span>
    Frise
  <span class="token punctuation">}</span><span class="token punctuation">,</span>
    
  <span class="token function-variable function">data</span><span class="token operator">:</span> <span class="token punctuation">(</span><span class="token punctuation">)</span> <span class="token operator">=&gt;</span> <span class="token punctuation">(</span><span class="token punctuation">{</span>
    data<span class="token operator">:</span> <span class="token punctuation">[</span>
      <span class="token punctuation">{</span>
        id<span class="token operator">:</span> <span class="token string">'RowId#1'</span><span class="token punctuation">,</span>
        header<span class="token operator">:</span> <span class="token punctuation">{</span>
          name<span class="token operator">:</span> <span class="token string">'A380'</span><span class="token punctuation">,</span>
          type<span class="token operator">:</span> <span class="token string">'Airplane'</span>
        <span class="token punctuation">}</span><span class="token punctuation">,</span>
        blocks<span class="token operator">:</span> <span class="token punctuation">[</span>
          <span class="token punctuation">{</span>
            id<span class="token operator">:</span> <span class="token string">'BlockId#1'</span><span class="token punctuation">,</span>
            start<span class="token operator">:</span> <span class="token keyword">new</span> <span class="token class-name">Date</span><span class="token punctuation">(</span><span class="token number">09</span><span class="token operator">/</span><span class="token number">09</span><span class="token operator">/</span><span class="token number">2021</span><span class="token punctuation">)</span><span class="token punctuation">,</span>
            end<span class="token operator">:</span> <span class="token keyword">new</span> <span class="token class-name">Date</span><span class="token punctuation">(</span><span class="token number">09</span><span class="token operator">/</span><span class="token number">10</span><span class="token operator">/</span><span class="token number">2021</span><span class="token punctuation">)</span><span class="token punctuation">,</span>
          <span class="token punctuation">}</span><span class="token punctuation">,</span>
        <span class="token punctuation">]</span><span class="token punctuation">,</span>
      <span class="token punctuation">}</span><span class="token punctuation">,</span>
    <span class="token punctuation">]</span>
  <span class="token punctuation">}</span><span class="token punctuation">)</span><span class="token punctuation">,</span>
    
  methods<span class="token operator">:</span> <span class="token punctuation">{</span>
    <span class="token function">updateRows</span><span class="token punctuation">(</span><span class="token parameter">blockId<span class="token punctuation">,</span> initialRowId<span class="token punctuation">,</span> newRowId</span><span class="token punctuation">)</span> <span class="token punctuation">{</span>
        <span class="token comment">/** Your logic to update rows on bar drop **/</span>
    <span class="token punctuation">}</span>
  <span class="token punctuation">}</span>
<span class="token punctuation">}</span>    
</span></span><span class="token tag"><span class="token tag"><span class="token punctuation">&lt;/</span>script</span><span class="token punctuation">&gt;</span></span>
</code></pre></div><h2 id="update-date-interval"><a href="#update-date-interval" class="header-anchor">#</a> @update-date-interval</h2> <p>An <code>update-date-interval</code> event is emitted when time navigation has been triggered.</p> <p>This event emits an Object containing the updated <code>start</code> and <code>end</code> dates to display.</p> <p><strong>Example</strong> :</p> <div class="language-html extra-class"><pre class="language-html"><code><span class="token tag"><span class="token tag"><span class="token punctuation">&lt;</span>template</span><span class="token punctuation">&gt;</span></span>
  <span class="token tag"><span class="token tag"><span class="token punctuation">&lt;</span>Frise</span> <span class="token attr-name">:data</span><span class="token attr-value"><span class="token punctuation attr-equals">=</span><span class="token punctuation">&quot;</span>data<span class="token punctuation">&quot;</span></span> <span class="token attr-name">@update-date-interval</span><span class="token attr-value"><span class="token punctuation attr-equals">=</span><span class="token punctuation">&quot;</span>updateStartingDate<span class="token punctuation">&quot;</span></span> <span class="token punctuation">/&gt;</span></span>
<span class="token tag"><span class="token tag"><span class="token punctuation">&lt;/</span>template</span><span class="token punctuation">&gt;</span></span>

<span class="token tag"><span class="token tag"><span class="token punctuation">&lt;</span>script</span><span class="token punctuation">&gt;</span></span><span class="token script"><span class="token language-javascript">
<span class="token keyword">import</span> Frise <span class="token keyword">from</span> <span class="token string">'@fabnundef/frise'</span><span class="token punctuation">;</span>

<span class="token keyword">export</span> <span class="token keyword">default</span> <span class="token punctuation">{</span>
  components<span class="token operator">:</span> <span class="token punctuation">{</span>
    Frise
  <span class="token punctuation">}</span><span class="token punctuation">,</span>
    
  <span class="token function-variable function">data</span><span class="token operator">:</span> <span class="token punctuation">(</span><span class="token punctuation">)</span> <span class="token operator">=&gt;</span> <span class="token punctuation">(</span><span class="token punctuation">{</span>
    data<span class="token operator">:</span> <span class="token punctuation">[</span>
      <span class="token punctuation">{</span>
        id<span class="token operator">:</span> <span class="token string">'RowId#1'</span><span class="token punctuation">,</span>
        header<span class="token operator">:</span> <span class="token punctuation">{</span>
          name<span class="token operator">:</span> <span class="token string">'A380'</span><span class="token punctuation">,</span>
          type<span class="token operator">:</span> <span class="token string">'Airplane'</span>
        <span class="token punctuation">}</span><span class="token punctuation">,</span>
        blocks<span class="token operator">:</span> <span class="token punctuation">[</span>
          <span class="token punctuation">{</span>
            id<span class="token operator">:</span> <span class="token string">'BlockId#1'</span><span class="token punctuation">,</span>
            start<span class="token operator">:</span> <span class="token keyword">new</span> <span class="token class-name">Date</span><span class="token punctuation">(</span><span class="token number">09</span><span class="token operator">/</span><span class="token number">09</span><span class="token operator">/</span><span class="token number">2021</span><span class="token punctuation">)</span><span class="token punctuation">,</span>
            end<span class="token operator">:</span> <span class="token keyword">new</span> <span class="token class-name">Date</span><span class="token punctuation">(</span><span class="token number">09</span><span class="token operator">/</span><span class="token number">10</span><span class="token operator">/</span><span class="token number">2021</span><span class="token punctuation">)</span><span class="token punctuation">,</span>
          <span class="token punctuation">}</span><span class="token punctuation">,</span>
        <span class="token punctuation">]</span><span class="token punctuation">,</span>
      <span class="token punctuation">}</span><span class="token punctuation">,</span>
    <span class="token punctuation">]</span>
  <span class="token punctuation">}</span><span class="token punctuation">)</span><span class="token punctuation">,</span>
    
  methods<span class="token operator">:</span> <span class="token punctuation">{</span>
    <span class="token function">updateStartingDate</span><span class="token punctuation">(</span><span class="token parameter"><span class="token punctuation">{</span> start<span class="token punctuation">,</span> end <span class="token punctuation">}</span></span><span class="token punctuation">)</span> <span class="token punctuation">{</span>
      <span class="token comment">/** Your logic to update fetched data for this time interval **/</span>
    <span class="token punctuation">}</span>
  <span class="token punctuation">}</span>
<span class="token punctuation">}</span>    
</span></span><span class="token tag"><span class="token tag"><span class="token punctuation">&lt;/</span>script</span><span class="token punctuation">&gt;</span></span>
</code></pre></div></div> <footer class="page-edit"><!----> <!----></footer> <div class="page-nav"><p class="inner"><span class="prev">
      ←
      <a href="/frise-package/documentation/documentation/slots.html" class="prev">
        Slots
      </a></span> <!----></p></div> </main></div><div class="global-ui"></div></div>
    <script src="/frise-package/documentation/assets/js/app.50779134.js" defer></script><script src="/frise-package/documentation/assets/js/2.5d5c376a.js" defer></script><script src="/frise-package/documentation/assets/js/9.32b17323.js" defer></script>
  </body>
</html>
